Bug 17597 - Outdated translation credits
Summary: Outdated translation credits
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Dimitris Antonakis
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 21862
  Show dependency treegraph
 
Reported: 2016-11-09 14:31 UTC by Dimitris Antonakis
Modified: 2018-11-28 15:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17597: Outdated translation credits (2.25 KB, patch)
2018-11-10 11:40 UTC, Dimitris Antonakis
Details | Diff | Splinter Review
Bug 17597: Outdated translation credits (2.35 KB, patch)
2018-11-10 12:33 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 17597: Outdated translation credits (2.42 KB, patch)
2018-11-13 10:00 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitris Antonakis 2016-11-09 14:31:34 UTC
It seems that the translation credits are outdated.
I was wondering if I have to post an email asking for the names of the recent contributors or is there another procedure that has to be done.

Furthermore, as far as I understand, changes should take place to the following file: /usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/modules/about.tt plus to every language's po file at /usr/share/koha/misc/translator/po/. Is that correct?
Comment 1 Katrin Fischer 2016-11-10 06:32:02 UTC
You don't need to change the po files - only the template. 

The po files will be changed as part of the translation process. The translation uses updated po files on Pootle - people translate - po files get merged back into Koha :) If you want to test your changes, you can run the translation scripts manually to review your changes in the po files (check the translation page in the wiki).
Comment 2 Dimitris Antonakis 2018-11-10 11:40:16 UTC
Created attachment 82204 [details] [review]
Bug 17597: Outdated translation credits

Updated translation credits for the Greek language.
Comment 3 Andreas Roussos 2018-11-10 12:33:56 UTC
Created attachment 82217 [details] [review]
Bug 17597: Outdated translation credits

Updated translation credits for the Greek language.

Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Works as expected, hyperlink to openhub tested OK.
Comment 4 Martin Renvoize 2018-11-13 10:00:03 UTC
Created attachment 82254 [details] [review]
Bug 17597: Outdated translation credits

Updated translation credits for the Greek language.

Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Works as expected, hyperlink to openhub tested OK.
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2018-11-13 10:00:20 UTC
We should really feed this data from the pootle service itself..

However, that shouldn't hold up this particular addition so I'll pass it.
Comment 6 Nick Clemens 2018-11-13 21:15:11 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-11-23 16:04:54 UTC
Pushed to 18.05.x series for 18.05.06
Comment 8 Fridolin SOMERS 2018-11-28 15:04:09 UTC
Pushed to 17.11.x for 17.11.13